%define upstream_name    Text-CSV-Slurp
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Convert CSV into an array of hashes, or an array of hashes into CSV
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Text::CSV)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Convert CSV into an array of hashes, or an array of hashes into CSV.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.30.0-5.mga9
+ Revision: 1806301
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-4.mga8
+ Revision: 1497630
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.30.0-3.mga7
+ Revision: 1272033
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-2.mga6
+ Revision: 1034907
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.30.0-1.mga6
+ Revision: 1002319
- update to 1.03

* Thu Feb 18 2016 umeabot <umeabot> 1.20.0-2.mga6
+ Revision: 965624
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 1.20.0-1.mga6
+ Revision: 836400
- update to 1.02

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 744548
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 686603
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 537492
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.10.0-1.mga4
+ Revision: 487104
- update to 1.01

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 374000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 298212
- update to 1.0

* Sat Feb 26 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 60381
- update to 0.9

* Sun Jan 23 2011 jquelin <jquelin> 0.800.0-1.mga1
+ Revision: 34348
- mageia rebuild
- imported package perl-Text-CSV-Slurp


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.800.0-1mdv2010.1
+ Revision: 542849
- import perl-Text-CSV-Slurp


* Thu May 06 2010 cpan2dist 0.8-1mdv
- initial mdv release, generated with cpan2dist
